weather2docker_db_master:
  restart: always
  image: postgres
  environment:
    - POSTGRES_USER=weather2docker
    - POSTGRES_PASSWORD=weather2docker
    - POSTGRES_DB=weather2docker
    - REPLICATION_MODE=master
    - REPLICATION_USER=w2dDBreplication
    - REPLICATION_PASS=w2dDBreplication
    - REPLICATION_SSLMODE=
  ports:
    - "5432"
weather2docker_db_slave:
  restart: always
  image: postgres
  links:
    - weather2docker_db_master
  environment:
    - POSTGRES_USER=weather2docker
    - POSTGRES_PASSWORD=weather2docker
    - POSTGRES_DB=weather2docker
    - REPLICATION_MODE=slave
    - REPLICATION_HOST=master
    - REPLICATION_USER=w2dDBreplication
    - REPLICATION_PASS=w2dDBreplication
  ports:
    - "5432"
    
frontend:
  restart: always
  image: pierrefrederick/projet
  links:
    - weather2docker_db_master
  ports:
    - "5432"
    - 8100:80
